package ru.ulstu.admin.model;

import ru.ulstu.indicator.model.Course;
import ru.ulstu.indicator.model.Indicator;

import java.util.ArrayList;
import java.util.List;

public class IndicatorForm {
    private Integer id;

    private String name;

    private int max;

    private String proofDocuments;

    private List<Course> courses = new ArrayList<>();

    public IndicatorForm() {
    }

    public IndicatorForm(Indicator indicator) {
        this.name = indicator.getName();
        this.max = indicator.getMax();
        this.proofDocuments = indicator.getProofDocuments();
        this.courses = indicator.getCourses();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public int getMax() {
        return max;
    }

    public void setMax(int max) {
        this.max = max;
    }

    public String getProofDocuments() {
        return proofDocuments;
    }

    public void setProofDocuments(String proofDocuments) {
        this.proofDocuments = proofDocuments;
    }

    public List<Course> getCourses() {
        return courses;
    }

    public void setCourses(List<Course> courses) {
        this.courses = courses;
    }
}
